Subject: [SWIPL] Error embedding swi prolog in a C app.

From: Yan Guiborat <[email-masked]>
Date: Fri, 18 May 2001 09:28:59 GMT+1

Hi,

I made a small C progam looking like this.

main()
{
...
...
PL_initialize(..).
Parse_an_XML_File().
exit
}

The purpose of parsing the XML file is to get information
about some foreign predicates(name, arity, flag), wich will
be dynamically loaded, an them registered to the prolog
engine through PL_register_foreign().
I am parsing the XML using GNU libXML and sax API.
Sadly, when I try it, once the first callback function from
sax terminates, I get this error message from prolog:
"
[PROLOG SYSTEM ERROR: Thread 1
	Recursively received fatal signal 11

PROLOG STACK:
"
when this happens, I haven't even called
PL_register_foreign(), neither any of the foreign module
interface functions, nothing, only libXML and it's sax API.
Could someone help, please ?
I was wondering so what was hapenning when PL_initialize is
called. Is there a Fork made to launch swi-prolog in a new
process, or does it still belong to the initial one.
Great Thnks to any help.

Yan.

--------------------------------------
Yan Guiborat.
French Exchange Student,
Tampere University of Technology.
e-mail:[email-masked].       
--------------------------------------
______________________________________________________
Boîte aux lettres - Caramail - http://www.caramail.com